Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83456 - VM issues with >= 10GB RAM
Summary: VM issues with >= 10GB RAM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-04 16:51 UTC by Larry Troan
Modified: 2016-04-18 09:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:29 UTC


Attachments (Terms of Use)

Description Larry Troan 2003-02-04 16:51:01 UTC
We are seeing issues with a single tar of a large number files on a 6600
ruinging performance.

This problem appears to be the same as bugzilla 79257.

Here is the script that exposes the problem:

----------------------
#!/bin/bash2
  TEST_DIR=/tmp
# Tar's and Gzip's the linux kernel source 
  cd /usr/src
  tar cvf /$TEST_DIR/linux.tar linux-2.4/*
  gzip -f /$TEST_DIR/linux.tar
  SOURCE_FILE=$TEST_DIR/linux.tar.gz
cd $TEST_DIR
# Remove any possible left over directories from a 
rm -fr linux-2.4 linux.orig linux.pass.*
# Unpack the one copy of the source tree that we will be comparing against
tar -xzf $SOURCE_FILE
mv /tmp/linux-2.4 linux.orig
COUNT=80
j=0
  while [ "$j" -lt "$COUNT" ]; do
    tar -xzf $SOURCE_FILE
    echo "Loop $j out of $COUNT"
    echo "Extracting Source File to $TEST_DIR/linux.pass.$j"
    mv linux-2.4 linux.pass.$j
    j=`expr $j + 1`
  done
# Clean up
rm -fr linux-2.4 linux.orig linux.pass.*
----------------------


The system has 12GB and 4 Processors with HT on.  It will lock up under the
2.4.18-14bigmem kernel.  If you run with only 1 Processors with HT on it will
not lock up but will degrade performance.  If you run with 9GB or less and 4
Processors it will not lock up.

When performance degrades LowFree in /proc/meminfo is bellow 9MB.


According to the Bugzilla the latest kernel still has a performance hit but does
not lockup.  Will regress with newer errata kernel.

Are there any tests that can be tried to assist Red Hat with problem resolution?

----------
Action by: rhentosh
Issue Registered
----------
Action by: ltroan
Escalated to Bugzilla

ISSUE TRACKER 15164, opened as sev 2 against 8.0
(will correct bugzilla - not beta) 
PER ABOVE MAY BE DUP OF bugzilla 79257.

Comment 1 Bugzilla owner 2004-09-30 15:40:29 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.